From 2e9926e87ec2af7eed48baa6cf55db7e901d61be Mon Sep 17 00:00:00 2001
From: Denis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>
Date: Feb 27 2023 17:02:34 +0000
Subject: [PATCH 20/33] docker-images: trisquel-flidas: Add complete and corresponding source code


Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>

---

diff --git a/docker-images/trisquel-flidas/PKGBUILD b/docker-images/trisquel-flidas/PKGBUILD
index 97f1f0c..aa6ba4c 100644
--- a/docker-images/trisquel-flidas/PKGBUILD
+++ b/docker-images/trisquel-flidas/PKGBUILD
@@ -8,7 +8,7 @@ _suite=etiona
 
 pkgname="${_distro}-${_suite}"
 pkgver=9.0
-pkgrel=1
+pkgrel=2
 pkgdesc="Trisquel docker image(s)"
 arch=('x86_64')
 url='https://trisquel.info'
@@ -19,12 +19,19 @@ depends=('debuerreotype'
 # The FSDG itself is under the CC-BY-ND-4.0
 source=('free-system-distribution-guidelines.html'
         'CC-BY-ND-4.0.txt'
+        "https://gitlab.trisquel.org/trisquel/package-helpers/-/raw/${_suite}/helpers/DATA/apt/trisquel/sources.list.in"
         "${pkgname}.tar.xz.sha512")
 sha512sums=('SKIP'
             'SKIP'
+            '6650ab124609b42235145c247dbf496cc1e8d2e5dad4ba9105f42f0042d343851a09055def03edf06ad5553daf8285b956885fbba17b88afbb4b66d2030f6703'
             'SKIP')
 
 build(){
+	# Generate sources.list without ${_suite}-security and ${_suite}-updates
+	# to make sure that the image is reproducible
+	sed "s/&trisquel-codename;/${_suite}/" sources.list.in | \
+		grep " ${_suite} " > sources.list
+
 	install -d rootfs
 
 	# debuerreotype really requires root, see the following bug report for
@@ -32,7 +39,20 @@ build(){
 	# https://github.com/debuerreotype/debuerreotype/issues/66
 	sudo debuerreotype-init --non-debian rootfs "${_suite}" https://archive.trisquel.info/trisquel
 	sudo debuerreotype-minimizing-config rootfs
+
+	# Add /etc/apt/sources.list
+	sudo install -m644 \
+		--owner=root --group=root \
+		-t rootfs/etc/apt sources.list
+
+	sudo debuerreotype-apt-get rootfs update
+	sudo debuerreotype-apt-get rootfs install -y dpkg-dev # for dpkg-source
+
+	sudo debuerreotype-apt-get rootfs source -y \
+		$(dpkg --root rootfs --get-selections | cut -f 1)
+
 	sudo debuerreotype-tar rootfs "${_distro}-${_suite}.tar"
+
 	# docker import ${_distro}-${_suite}.tar.xz works, so it's better to
 	# have the smallest file possible as xz compresses quite well and we
 	# will at least have one docker image per FSDG distribution if
diff --git a/docker-images/trisquel-flidas/trisquel-etiona.tar.xz.sha512 b/docker-images/trisquel-flidas/trisquel-etiona.tar.xz.sha512
index 5f4e3dc..63f8c60 100644
--- a/docker-images/trisquel-flidas/trisquel-etiona.tar.xz.sha512
+++ b/docker-images/trisquel-flidas/trisquel-etiona.tar.xz.sha512
@@ -1 +1 @@
-27fc6d091d802323fa6f9895a1d48dadf3237c81bcfcf78624f22a3f534b26cfbd6eee8295bf3dd0487b51f29f47fe7d282013be97ce94aea2cb3eee66b40e79  trisquel-etiona.tar.xz
+07a3d455830aa9607ea98a5e00b69ffea89289c559d735f2279ee374f9b82bd808daa8ec8a4721f2bc10a095f5ce1eb1d5d5c315c71db77c69d6cfe5fa93ec96  trisquel-etiona.tar.xz

